Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.sql
Enum QSql.ParamTypeFlag

    java.lang.Object
      java.lang.Enum<QSql.ParamTypeFlag>
          com.trolltech.qt.sql.QSql.ParamTypeFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSql.ParamTypeFlag>

Enclosing interface:
  QSql

    public static enum QSql.ParamTypeFlag

extends java.lang.Enum<QSql.ParamTypeFlag>
implements QtEnumerator

This enum is used to specify the type of a bind parameter.

Enum Constant Summary
`Binary` This must be OR'd with one of the other flags if you want to indicate that the data being transferred is raw binary data.
`In` The bind parameter is used to put data into the database.
`InOut` The bind parameter is used to put data into the database; it will be overwritten with output data on executing a query.
`Out` The bind parameter is used to receive data from the database.

Method Summary
`static QSql.ParamType` | `createQFlags(QSql.ParamTypeFlag... values)`
`static QSql.ParamTypeFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSql.ParamTypeFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSql.ParamTypeFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### In

    public static final QSql.ParamTypeFlag In

  The bind parameter is used to put data into the database.

### Out

    public static final QSql.ParamTypeFlag Out

  The bind parameter is used to receive data from the database.

### InOut

    public static final QSql.ParamTypeFlag InOut

  The bind parameter is used to put data into the database; it will be overwritten with output data on executing a query.

### Binary

    public static final QSql.ParamTypeFlag Binary

  This must be OR'd with one of the other flags if you want to indicate that the data being transferred is raw binary data.

Method Detail

### values

    public static final QSql.ParamTypeFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSql.ParamTypeFlag c : QSql.ParamTypeFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSql.ParamTypeFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QSql.ParamType createQFlags(QSql.ParamTypeFlag... values)

### resolve

    public static QSql.ParamTypeFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD